export default {
  props: {
    type: {
      type: String,
      default: 'default',
      validator: (val) => {
        return ['default', 'single', 'multiple', 'index'].includes(val)
      }
    },
    tableData: {
      type: Array,
      default: () => {
        return []
      }
    },
    columns: {
      type: Array,
      default: () => {
        return []
      }
    },
    // 边框
    border: {
      type: Boolean,
      default: false
    },
    // 斑马纹
    stripe: {
      type: Boolean,
      default: false
    }
  }
}